curl -X POST "http://CONTROL_PLANE_IP:PORT/close" \
-H "Content-Type: application/json" \
-d '{
"vm_id": "vm-abc123"
}'
{
"status": "success",
"message": "Desktop environment closed successfully",
"vm_id": "vm-abc123"
}
{
"error": "Desktop environment not found for VM: vm-abc123."
}
Control Plane
Close Environment
Terminate VM and clean up resources
POST
/
close
curl -X POST "http://CONTROL_PLANE_IP:PORT/close" \
-H "Content-Type: application/json" \
-d '{
"vm_id": "vm-abc123"
}'
{
"status": "success",
"message": "Desktop environment closed successfully",
"vm_id": "vm-abc123"
}
{
"error": "Desktop environment not found for VM: vm-abc123."
}
Closes the desktop environment for a specific VM and releases all associated resources. The VM is terminated and cannot be used again.
Request Body
string
required
VM identifier to close
Response
string
Result status (
success)string
Status message
string
VM identifier that was closed
curl -X POST "http://CONTROL_PLANE_IP:PORT/close" \
-H "Content-Type: application/json" \
-d '{
"vm_id": "vm-abc123"
}'
{
"status": "success",
"message": "Desktop environment closed successfully",
"vm_id": "vm-abc123"
}
{
"error": "Desktop environment not found for VM: vm-abc123."
}